BizKitHub
DocsAPI ReferencePost/bff/post/media-library-attach
postPostAdmin BFF

/bff/post/media-library-attach

Appends the selected images to the post gallery without copying files. Images removed from the gallery earlier are restored. The library title becomes the gallery alt text when the gallery has none.

PostpostBffPostMedia-library-attach

Parameters

JSON body

Request body

application/json
postIdstringRequired

Post external ID.

idsstring[]Required

Library item ids to append to the post gallery, in order.

mainIdstringOptional

Library item id to set as the post main image (attached if needed).

Response schema

1 status code documented

200Success
successbooleanRequired
linkednumberRequired

Number of library items attached.

blobTokensstring[]Required

Gallery image ids (blob tokens) of the attached items.

Response example

application/json
{
  "success": false,
  "linked": 0,
  "blobTokens": [
    "string"
  ]
}

Request example

POST /bff/post/media-library-attach

post
curl -X POST "https://api.bizkithub.com/bff/post/media-library-attach" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "postId": "example_postId",
  "ids": [
    "string"
  ],
  "mainId": "example_mainId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key